### Method

# Qmi MessageVoiceGetConfigOutput get_current_preferred_voice_so

since: 1.14

#### Declaration [src]

    gboolean
    qmi_message_voice_get_config_output_get_current_preferred_voice_so (
      QmiMessageVoiceGetConfigOutput* self,
      guint8* value_current_preferred_voice_so_nam_id,
      gboolean* value_current_preferred_voice_so_evrc_capability,
      QmiVoiceServiceOption* value_current_preferred_voice_so_home_page_voice_service_option,
      QmiVoiceServiceOption* value_current_preferred_voice_so_home_origination_voice_service_option,
      QmiVoiceServiceOption* value_current_preferred_voice_so_roaming_origination_voice_service_option,
      GError** error
    )

#### Description [src]

Get the ‘Current Preferred Voice SO’ field from `self`.

Available since: 1.14

#### Parameters

`value_current_preferred_voice_so_nam_id`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_current_preferred_voice_so_evrc_capability`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_current_preferred_voice_so_home_page_voice_service_option`

  Type: `QmiVoiceServiceOption`

  A placeholder for the output `QmiVoiceServiceOption`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_current_preferred_voice_so_home_origination_voice_service_option`

  Type: `QmiVoiceServiceOption`

  A placeholder for the output `QmiVoiceServiceOption`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_current_preferred_voice_so_roaming_origination_voice_service_option`

  Type: `QmiVoiceServiceOption`

  A placeholder for the output `QmiVoiceServiceOption`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.